package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcPartyAMapper;
import com.ruoyi.oa.domain.CmcPartyA;
import com.ruoyi.oa.service.ICmcPartyAService;

/**
 * cmc业主单位Service业务层处理
 * 
 * @author cmc
 * @date 2024-06-12
 */
@Service
public class CmcPartyAServiceImpl implements ICmcPartyAService 
{
    @Autowired
    private CmcPartyAMapper cmcPartyAMapper;

    /**
     * 查询cmc业主单位
     * 
     * @param partyAId cmc业主单位主键
     * @return cmc业主单位
     */
    @Override
    public CmcPartyA selectCmcPartyAByPartyAId(String partyAId)
    {
        return cmcPartyAMapper.selectCmcPartyAByPartyAId(partyAId);
    }

    /**
     * 查询cmc业主单位列表
     * 
     * @param cmcPartyA cmc业主单位
     * @return cmc业主单位
     */
    @Override
    public List<CmcPartyA> selectCmcPartyAList(CmcPartyA cmcPartyA)
    {
        return cmcPartyAMapper.selectCmcPartyAList(cmcPartyA);
    }

    /**
     * 新增cmc业主单位
     * 
     * @param cmcPartyA cmc业主单位
     * @return 结果
     */
    @Override
    public int insertCmcPartyA(CmcPartyA cmcPartyA)
    {
        return cmcPartyAMapper.insertCmcPartyA(cmcPartyA);
    }

    /**
     * 修改cmc业主单位
     * 
     * @param cmcPartyA cmc业主单位
     * @return 结果
     */
    @Override
    public int updateCmcPartyA(CmcPartyA cmcPartyA)
    {
        return cmcPartyAMapper.updateCmcPartyA(cmcPartyA);
    }

    /**
     * 批量删除cmc业主单位
     * 
     * @param partyAIds 需要删除的cmc业主单位主键
     * @return 结果
     */
    @Override
    public int deleteCmcPartyAByPartyAIds(String[] partyAIds)
    {
        return cmcPartyAMapper.deleteCmcPartyAByPartyAIds(partyAIds);
    }

    /**
     * 删除cmc业主单位信息
     * 
     * @param partyAId cmc业主单位主键
     * @return 结果
     */
    @Override
    public int deleteCmcPartyAByPartyAId(String partyAId)
    {
        return cmcPartyAMapper.deleteCmcPartyAByPartyAId(partyAId);
    }
}
